#! /bin/sh
#
# description: controls tunebot
# processname: tunebot

# Source function library.
. /etc/rc.d/init.d/functions

# See how we were called.
case "$1" in
  start)
	echo -n "Starting tunebot: "
	daemon /usr/local/tunebot/bin/tunebot

	echo
	touch /var/lock/subsys/tunebot
	;;
  stop)
	echo -n "Stopping tunebot: "
	killproc tunebot

	echo
	rm -f /var/lock/subsys/tunebot
	;;
  status)
	status tunebot
	;;
  restart|reload)
	$0 stop
	$0 start
	;;
  *)
	echo "Usage: tunebot {start|stop|status|restart}"
	exit 1
esac

exit 0
